Subject: Re: linux-next: manual merge of the wireless-next tree with Linus' tree

From: Greg Kroah-Hartman <[email-masked]>
Date: Wed, 9 Oct 2024 09:27:03 +0200

On Wed, Oct 09, 2024 at 09:19:40AM +0200, Johannes Berg wrote:
> On Wed, 2024-10-09 at 09:13 +0200, Greg Kroah-Hartman wrote:
> 
> > > But if the conflict is to Linus's tree, is that even going to help?
> > > Seems like I should pull in -rc2 and solve this one and the ks7010 one
> > > that way? Just need to check with net-next?
> > 
> > I'm not worried about the conflict with Linus's tree, sorry, I now see
> > that that's what was being reported here also.
> 
> Ah OK. But I checked, and I can just pull in net-next to resolve this
> and two other conflicts (where one appears to be due to git getting
> confused between moving a file and deleting another copy of it in
> staging), so I'll probably just do that, just need to sync with Kalle.
> 
> > I just want to get your
> > staging driver changes, so I'll pull in up to commit 4991d2e7ad38, which
> > is all I really care about :)
> 
> Oh OK, so that's mostly unrelated then. Sure, you can pull that in so
> you have the staging changes I've made in case other staging patches
> want to touch the files.
> 
> 
> Although ... maybe wait with that too. If you merge that now you'll have
> to resolve (some of) the conflicts, and if I'm merging net-next now as
> well we'll have two conflict resolutions for the same thing? That seems
> a bit strange, even if the resolutions are almost certainly going to be
> identical.
> 
> I can push out the net-next merge (& revert) soon, and then it'll all be
> cleaner?

Sure, I'll wait, just let me know what commit to merge at, from what
tree, whenever you have it ready.

thanks!

greg k-h